Create an RTBF

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

URL Pattern

Following example demonstrates the basic URL pattern for a right to be forgotten request. Go to the Tools section to access interactive tools and applications that help you work with the Privacy API.

https://[stg].api.bazaarvoice.com/privacy/v1/forgetRequests?passkey={PRIVACY_API_PASSKEY}

Environments

Create a new forgetRequests resource to trigger the deletion of an end-user's data. Note that you cannot submit a forget request for an end user if an existing Right of Access or Right to be Forgotten request for the same end user is still pending.

📘

HTTP POST is required.

POST https://[stg.]api.bazaarvoice.com/privacy/v1/forgetRequests?passkey{PRIVACY_API_PASSKEY} HTTP/1.1
Content-Type: application/json
Authorization: Bearer {ACCESS_TOKEN}
…

{
  "authorId": "12345678",
  "clientNames": [
    "Client-EN_GB",
    "Client-DE_DE"
  ]
}

Ellipses (...) in above example indicate that your app may generate other headers.

Query Params
string
required

API Passkey for the client instance. Please check our API key request page for more details.

Body Params
string

The individual's email address

string

The individual's phone number

string

The individual's Instagram Username

string

The client-controlled user identifer for Conversations submission. This identifier must be unique across all clients specified in the request.

clientNames
array of strings

List of the client names to which the request is scoped. Defaults to the list of clients to which the requester has access.

clientNames
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json